Subject: downloading kernel image

From: Lavu Sridhar <[email-masked]>
Date: Sat, 27 May 2000 16:54:54 +0530 (IST)

Hello,
	I am using the Cirrus Logic 7500FE Devlopment Board, which has ANGEL
Debugger running. I have used GDB 5.0 for loading the Linux Kernel Image
into the DRAM on my Board.

	I have configured GDB 5.0 using the command: 
configure --target=arm-elf   THEN   make   THEN   make install
(it did not require any changes in any Makefile)

	Then while compiling the kernel, I have changed the base address
to 0x00008000 as the Board maps DRAM to address 0x000000000.

	However, after this when I disassemble and see the code, it enters
an infinite loop right after 5 instructions. It is checking the contents
of the registers r0, r7, r10 .... (i have given the code below) 

Kernel Image Starting Address in DRAM is 0x8000:

0x8000  nop
0x8004  teq      r0,#0
0x8008  movne    r0,#0x69
0x800c  bne      0x8110  ; (__ret + 0xb8)
0x8010  bl       0x8118  ; (__ret + 0xc0)
0x8014  teq	 r10, #0
0x8018  moveq    r0,#0x70
0x801c  beq      0x8110  ; (__ret + 0xb8)
0x8020  bl       0x8168  ; (__ret + 0x110)
0x8024  teq      r7,#0
0x8028  moveq    r0,#0x61
0x802c  beq      0x8110  ; (__ret + 0xb8)
0x8030  bl       0x80b0  ; (__ret + 0x58)
0x8034  add      r14,pc,#0x1c ; #0x8058
0x8038  add      pc,r10,#0xc

Here it is entering an infinite loop!

0x8110  nop      
0x8114  b        0x8110  ; (__ret + 0xb8)

	Finally is there a better way of downloading the kernel vmlinux
file to my Devlopment Board with ANGEL running on it???
	
Regards,
Lavu Sridhar	

 ---------------------------------------------------------------------

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for           ++
++                        kernel-related discussions.                      ++